extends layout

block content
    h1= title
    form(method='post' enctype='multipart/form-data')
        input(type='text' name='id' placeholder='handle' value=id || "")
        br
        textarea(name='signature' placeholder='signature' value=signature || "")
        br
        button LogIn

        p.
            Paste the signature either in plaintext base64-encoded, or supply as a file.<br>
            If both specified, the file is preferred.
        input(type='file' name='signature')
        p
            h4 Technical details
            p.
                Everyone has a secret. The signature is that secret signed with an RSA key using
                SHA-256. It is possible to change the secret and the public key assigned to you